# -*- coding: utf-8 -*-
###############################################################################
#
# Recurrence rules for Odoo
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2016 XCG Consulting (http://www.xcg-consulting.fr/)
#
# Author: Florent AIDE <florent.aide@xcg-consulting.fr>
#         Vincent Lhote-Hatakeyama <vincent.lhote@xcg-consulting.fr>
#
# Date: 10/2014
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
###############################################################################

{
    "name": "Recurrence rules",
    "version": "1.1",
    "author": "XCG Consulting",
    "category": "",
    "description": """
Recurrence rules for Odoo
==========================

This module provides a way to let users specify recurrence rules. Other modules
may then use these rules at will.

With this module, one can:

- Define a recurrence rule for each specific date.

- Create sets to combine multiple recurrence rules.

- Apply sets to the different companies you manage (subsidiaries for example).


Python environment dependencies
-------------------------------

Should be installed within the Python environment Odoo is running in:

- ``weekdays`` (available on ``pypi``)::

    pip install weekdays
    """,
    "website": "http://odoo.consulting/",
    "init_xml": [],
    "depends": ["base"],
    "images": [],
    "data": [
        "security/security.xml",
        "security/ir.model.access.csv",
        "menu.xml",
        "wizards/rrule_preview.xml",
        "views/rrule.xml",
        "views/rruleset.xml",
        "data/rrules.rrule_day.csv",
        "data/rrule.xml",
    ],
    "demo_xml": [],
    "test": [],
    "installable": True,
    "active": False,
    "css": [],
}
# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
